Transfer workspace to a team

View as Markdown
Transfers a workspace from one team (`source`) to another team (`destination`). **Note:** - These endpoints are only available with [Postman **Enterprise** plans](https://www.postman.com/pricing/) with [Postman Organizations](https://learning.postman.com/docs/administration/onboarding-checklist) enabled. - Team user roles are modified when workspaces are transferred. For example, if a user has the Admin role in the `source` team but not the `destination` team, then their role is removed from the workspace after it's transferred to the `destination` team.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

workspaceIdstringRequired
The workspace's ID.

Request

This endpoint expects an object.
destinationstringRequired
The ID of the team to transfer the workspace to.
sourcestringRequired
The ID of the team to transfer the workspace from.

Response

Successful Response
workspaceobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error